
import Taro from '@tarojs/taro'
import { Image } from '@tarojs/components'
import './index.scss'

export default function StatCustomerListItem (props) {
  const { data = {}, showStatus = false } = props
  return (
    <view className='components StatCustomerListItem flex-h'>
      <view className='Icon' onClick={() => { Taro.navigateTo({url: `/pages/mine/customerDetail/index?id=${data.customerId}`}) }}>
        <Image mode='scaleToFill' src={data.avatarurl}></Image>
      </view>
      <view className='flex-item' onClick={() => { Taro.navigateTo({url: `/pages/mine/customerDetail/index?id=${data.customerId}`}) }}>
        <view>
          <text>{data.name}</text>
          <text className='iconfont icon-yonghu'></text>
        </view>
        <text>{data.phone}</text>
      </view>
      <text className='iconfont icon-liaotian'></text>
      <text className='iconfont icon-dianhua active'></text>
      {
        showStatus &&
        <text className='Status' onClick={() => { Taro.navigateTo({url: `/pages/mine/customerDetail/index?id=${data.customerId}`}) }}>报备</text>
      }
    </view>
  )
}
